<?
include '../config.php';
include '../func.php';
head();
aut();
ban();
////////////////////////
$id = num($_GET['id']);
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$id."'"));

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'clan' WHERE `id` = '".$id_session."'");
####################################################

if ( empty( $clan['id'] ) ) {
    
    echo "<div class=\"head\"><b>Ошибка</b></div><div class=\"main\">";  
    echo 'Данной группы не существует.<br/>';
    pod_navig();
    foot();
    exit();
    
}
echo "<div class=\"head\"><b>Группа | ".$clan['name']."</b></div><div class=\"main\">";   

$result = mysql_query("SELECT * FROM `clans_user` WHERE (`clan` = '".$id."') and  (`user` = '".$id_session."')");

if( mysql_affected_rows()!= 0)  {
    
    echo 'Вы уже состоите в данной группе.<br/>';
    pod_navig();
    foot();
    exit();
    
}
    
    if ( $clan['private'] == 1) {
        
        $status = 1;
        
    } else {
        
        $status = 0;
        
    }
    
        $a = mysql_query("INSERT INTO `clans_user` SET `user` = '".$id_session."', `clan` = '".$id."', `status` = '".$status."', `date` = '".mktime()."'");
        
        if ( $a == 1 )
        echo '<div class="input">Вы успешно вступили в группу.</div><br/>';
        else
        echo '<div class="input">Возникла ошибка.</div><br/>';
        
mysql_query("DELETE FROM `uvedom` WHERE `user` = '".$id_session."' AND `clan` = '".$clan['id']."'");
        


    



echo '</div>';

////////////////////////

pod_navig();
foot();
?>